Zum Inhalt springen

Emu 3.5 Image · Text to Image

Integrieren

Modell-ID emu-3.5-image/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/emu-3.5-image/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage: 0,30 $ 300 API-Credits · ≈ 32,27 ₽ Auf dieser Seite ausführen

API-Schlüssel abrufen
BAAI Text zu Bild bis zu 720p

Erzeugt Bilder ausschließlich aus Text, in 480p oder 720p mit Auswahl aus neun Seitenverhältnissen

BAAI · Bild

Dein erstes Ergebnis erscheint hier

Erstelle unten eine Anfrage und führe sie mit deinem API-Schlüssel aus. Ausgaben werden in unseren Speicher kopiert und dauerhaft oder 7 Tage kostenlos aufbewahrt.

Anfrage erstellen

Die Steuerelemente werden aus dem Modellschema generiert. Code und Preis werden aktualisiert, während du sie änderst.

•erforderlich

Prompt zur Generierung eines Bildes.

resolution Standard 720p

Auflösung des resultierenden Bildes.

aspect_ratio Standard 1:1

Seitenverhältnis des resultierenden Bildes.

Erweitert output_format · seed · enable_safety_checker
output_format Standard png

Dateiformat des resultierenden Bildes.

Während der Inferenz verwendeter Seed.

POST /run/emu-3.5-image/text-to-image?wait=20 Preis → 0,30 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/emu-3.5-image/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage ausführen

Dein Schlüssel bleibt in diesem Browser: Er wird nur an die Doitong API gesendet und nur gespeichert (localStorage), wenn du „Merken“ aktivierst. API-Schlüssel abrufen

Über Emu 3.5 Image · Text to Image

Erstellt ein Bild aus einem `prompt` ohne Eingabebild. `resolution` ist 480p oder 720p, und `aspect_ratio` reicht von 21:9 bis 9:21, wobei 1:1 der Standard ist. Das Ausgabeformat kann png, jpeg oder webp sein; `seed` ermöglicht reproduzierbare Ergebnisse.

Parameter

NameTyp StandardZulässig Beschreibung
prompterforderlich
Typstring
Prompt zur Generierung eines Bildes.
resolutionoptional
Typenum
Standard720p
480p720p
Auflösung des resultierenden Bildes.
aspect_ratiooptional
Typenum
Standard1:1
21:916:94:33:21:12:33:49:169:21
Seitenverhältnis des resultierenden Bildes.
enable_safety_checkeroptional
Typboolean
Standardtrue
Steuert, ob die Sicherheitsprüfung aktiviert ist.
seedoptional
Typinteger | null
Während der Inferenz verwendeter Seed.
output_formatoptional
Typenum
Standardpng
jpegpngwebp
Dateiformat des resultierenden Bildes.
erforderlich

Ausgabe

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "emu-3.5-image/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 300,
    "usd": "0.30",
    "charged": 300,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Deine Dateien, deine EntscheidungJede outputs[].url ist eine Kopie in unserem Speicher: dauerhaft aufbewahrt (Abrechnung pro GB-Monat) oder 7 Tage kostenlos – je nach Kontoeinstellung oder ?storage=.
Gleiche Struktur bei jedem Modelltype, url, content_type, width, height und duration – für Bilder, Video und Audio gleichermaßen. output ist das Ergebnisobjekt des Modells.
Ausgabefelder
images
array of object {url, content_type, file_name, file_size, width, height}Aus der Bearbeitung resultierendes Bild.
seed
integerWährend der Inferenz verwendeter Seed.

Weitere Modelle: Text zu Bild

Für KI-Agenten: Diese Seite ist als Markdown verfügbar unter https://doitong.com/de/developers/models/emu-3.5-image/text-to-image.md. Alle Modelle und Anleitungen: https://doitong.com/developers/llms.txt